Name:          python-tinycss
Version:       0.4
Release:       2mamba
Summary:       tinycss is a complete yet simple CSS parser for Python
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.python.org/pypi/tinycss
Source:        https://pypi.debian.net/tinycss/tinycss-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
BuildRequires: libpython3-devel >= 3.7.4
Requires:      python >= %python_version
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
%{summary}.

%if "%{?with_pyver}"
%pyver_package
%endif

%prep
%setup -q -n tinycss-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

#sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%if "%{?pyver}" == "3"
sed -i "/speedups.cpython-3.m/d" %{name}.filelist
%endif


%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%doc LICENSE

%changelog
* Fri Aug 09 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4-2mamba
- rebuilt with python3 3.7.4

* Mon Oct 17 2016 Automatic Build System <autodist@mambasoft.it> 0.4-1mamba
- automatic version update by autodist

* Mon Jun 22 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3-1mamba
- package created using the webbuild interface
